Bug 1281419 - RFE: Autodetection of fence devices
RFE: Autodetection of fence devices
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Oyvind Albrigtsen
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks: 1158823 1281421 1296673
  Show dependency treegraph
 
Reported: 2015-11-12 08:44 EST by Marek Grac
Modified: 2018-01-09 11:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2015-11-12 08:44:26 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Yaniv Kaul 2015-11-25 06:23:55 EST
Added 'RHEV' as a layered product - this is certainly going to improve the user experience and reduce configuration issues for RHEV customers.
Comment 4 Marek Grac 2016-03-10 05:43:32 EST
Goal of this bug is to create an easier way of setting up fence agents.

Proposal:

> fence_autodetect --user foo --password bar --ip 1.1.1.1 

and results will be the list of fence agents that were detected together with required options (like --ssl, --ssh, ...)

In order to test this feature we will rely on both real machines (get-status/get-list read-only access is enough) and MITM
Comment 7 Oyvind Albrigtsen 2017-11-01 10:42:30 EDT
Bumping to 7.6.

Note You need to log in before you can comment on or make changes to this bug.